import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 所有角色分类列表
export function getAllRoleCategoryList(params) {
  return request({
    url: `${baseURL}/cc/role/all`,
    method: 'get',
    params: params
  })
}

// 角色权限列表
export function getRoleAuth(params) {
  return request({
    url: `${baseURL}/cc/rolemenu/list`,
    method: 'get',
    params: params
  })
}

// 角色权限设置
export function setRoleAuth(data) {
  return request({
    url: `${baseURL}/cc/rolemenu/setRoleMenu`,
    method: 'post',
    data
  })
}
